package com.zhongshu.reward.client.model.wallet;

import com.zhongshu.reward.client.type.TransferChannel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/5
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WxTransferBatchModel {

    private String id;

    private Long createTime;

    private Long updateTime;

    /**
     * 内部批次单号
     */
    private String batchNo;

    /**
     * (内部)提现明细单号
     */
    private String detailNo;

    /**
     * 提现钱包
     */
    private String walletId;

    /**
     * 提现金额
     */
    private BigDecimal total;

    /**
     * 提现渠道
     */
    private TransferChannel channel;

//    /**
//     * 提现前账户信息
//     */
//    private Wallet beforeWalletInfo;

//    /**
//     * 到账时间
//     */
//    private Long tradeTime;

    /**
     * 批次状态
     */
    private String batchStatus;

    /**
     * 明细状态
     */
    private String detailStatus;

    /**
     * wx批次单号
     */
    private String wxBatchId;

    /**
     * wx批次单号
     */
    private String wxDetailId;

    /**
     * openid
     */
    private String openid;

    /**
     * 异常原因
     */
    private String exceptionReason;
}
