package com.zhongshu.reward.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author wjf
 * @date 2024/8/8
 */
@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class VipUserRecord extends SuperEntity {

    @ApiModelProperty(value = "操作类型：1 订阅、 -1 退订 4：激活 5：暂停", required = true)
    private Integer suc;

    @ApiModelProperty(value = "和校园唯一识别码", required = true)
    private String operBatch;

    @ApiModelProperty(value = "用户id", required = true)
    private String cpId;

    @ApiModelProperty("会员等级")
    private String planningId;

    @ApiModelProperty("套餐名称")
    private String planningName;

    @ApiModelProperty("订购时间")
    private Long operateTime;

    @ApiModelProperty("渠道类型")
    private String channelType;

    @ApiModelProperty("渠道编码")
    private String channelCode;

    @ApiModelProperty("扩展参数")
    private String extension;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("套餐")
    private String saleModalId;

    @ApiModelProperty("5,6,7,8,9折扣")
    private Integer discount;

    private boolean first;
}
