package com.zhongshu.reward.client.model;

import com.zhongshu.reward.client.type.ComputationType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/7
 */
@Data
public class InviteReceiptsRoleModel {

    private String id;

    @ApiModelProperty("规则名称")
    private String roleName;

    @ApiModelProperty("套餐id")
    private String setMealId;

    @ApiModelProperty("计算规则:固定、百分比")
    private ComputationType computation;

    @ApiModelProperty("金额额度")
    private BigDecimal baseTotal;

    @ApiModelProperty("生效状态")
    private boolean disable;

    @ApiModelProperty("生效范围是否所有")
    private boolean isALL = true;
}
