package com.zhongshu.reward.client.model.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 钱包提现参数
 * @author wjf
 * @date 2024/8/5
 */
@Data
public class WalletTransferParam {

    @Schema(name = "walletId", description = "钱包id")
    private String walletId;

    @Schema(name = "total", description = "提现金额")
    private BigDecimal total = BigDecimal.ZERO;

    @Schema(name = "openid", description = "微信openid")
    private String openid;

    @Schema(name = "appid", description = "appid")
    private String appid;

}
